Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Run an evaluator against a specific input and output pair. Returns a score and optional reasoning based on the evaluator’s configured criteria.
curl --request POST \
--url https://api.orq.ai/v2/evaluators/{id}/invoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"output": "<string>",
"reference": "<string>",
"retrievals": [
"<string>"
],
"messages": [
{
"role": "system",
"content": "<string>",
"tool_calls": [
{
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
},
"id": "<string>",
"index": 123
}
],
"tool_call_id": "<string>"
}
],
"model": "<string>"
}
'{
"type": "string",
"original_value": "<string>",
"value": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Evaluator ID
Latest user message
The generated response from the model
The reference used to compare the output
Knowledge base retrievals
The messages used to generate the output, without the last user message
Show child attributes
Model to use for LLM-based evaluators (e.g. "openai/gpt-4o")
Was this page helpful?
curl --request POST \
--url https://api.orq.ai/v2/evaluators/{id}/invoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"output": "<string>",
"reference": "<string>",
"retrievals": [
"<string>"
],
"messages": [
{
"role": "system",
"content": "<string>",
"tool_calls": [
{
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
},
"id": "<string>",
"index": 123
}
],
"tool_call_id": "<string>"
}
],
"model": "<string>"
}
'{
"type": "string",
"original_value": "<string>",
"value": "<string>"
}